Post by Xstream » Wed May 17, 2017 3:30 am

Hi All,

I have an issue updating 1.5 > 2.3.
The issue is that i have to update the rights, but i don't have the rights apparently to do so. How do i fix this?

This is what i have done:

I copied files from live server (PHP 5.2) to test server (PHP 5.6).
Exported/Imported mysql database without any special commands (default settings).
Changed config (root/admin) files to point to the right location.
All seems ok, aside from en load of deprecated alerts, which is to be expected, because of the new PHP version on the server which OC 1.5 doesn't support.

I then overwrite the files of the new OC 2.3, run install and run the upgrade process.
When done i go to admin. I follow the steps given on the install page. So far so good. Admin area looks fine.

At Step 3: Goto Admin -> Users -> User Groups and Edit the Top Adminstrator group. Check All boxes.
When i select all and save it says it's saved fine, but it only saved the Access Permission settings, the Modify Permission haven't updated.

Going to Step 4: Goto Admin and Edit the main System Settings. Update all fields and click save, even if nothing changed. confirms it. I get this error: Warning: You do not have permission to modify settings!

I've retried this whole process 2 times now, but same things keeps happening.
I've looked in the database to see if i can fix it there, but i have no idea how to do that.

Hope somebody can help me out. Doing searches didn't bring me closer to a solution.

Thanks in advance.

Xs.

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by IP_CAM » Wed May 17, 2017 9:19 am

because of the new PHP version on the server which OC 1.5 doesn't support...

Well, just to mention this, not all of them, at least OC v.1.5.6.4 and above works well with PHP-7,
exept for the OC Install-Routine itselfs, not 'finding' any selected DB-Driver anymore. So, a newly
set up v.1.5.6.4(+) based Shop still needs to be installed under PHP 5.whatever.
Also formerly OpenShop based older Versions of the MySql-Buddy, the eXtplorer-File Editor
and the only so far 'found' free OC FileEditor Extension, not only 'handling' images, but files as
well, also refuse to function in PHP-7!

But I wonder anyway, how easy it went for you, so far. Especially, since you mentioned, to have
just overwritten existing older OC Source. So, I expect, that multiple surprises are still waiting for
you, to be found later on...
But it's all written about already, somewhere, and I never tried, so I at least pushed the Post
into the active section, but that's all, I know and so can do.
Good Luck ;)
Ernie
---
Image

Attachments

php_7_with_oc_1564_plus.png

php_7_with_oc_1564_plus.png (51.15 KiB) Viewed 122 times


Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by Xstream » Wed May 17, 2017 4:03 pm

Thanks for your reply and help.

I don't understand everything you say, but do you mean I should try to update on a server with php installed?
I'll try it. Thanks.

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by Xstream » Wed May 17, 2017 5:26 pm

Tried it again, twice.
Once with PHP7.1. And once with 5.2, disabled all plugins + vqmod, set PHP5.6, uploaded OC2.3 files, run upgrade process, but then again get the same issues.

Me, as Top administrator, just can't update these permissions:
  • user/user
  • user/user_permission
So it's an infinite loop. I need the rights to fix the upgrade, but i don't have the rights to set those rights. :(

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by Xstream » Wed May 17, 2017 5:55 pm

Ok, installed a clean OC2.0 and checked the user group permissions and copied their settings.
Now i can save settings. But as soon i want extra rights for some different categories, it resets the user(group) rights again :(

Also, my shop doesn't show anything. Just a blank page. Sigh ...

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm
Who is online

Users browsing this forum: No registered users and 8 guests